Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class Customer_shippingAddress_SmartMapReference

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference
            |
            +--com.beasys.commerce.ebusiness.customer.Customer_shippingAddress_SmartMapReference

public class Customer_shippingAddress_SmartMapReference
extends com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference

Base class for all SmartMapReferences for Belongings for BMP. Each subclass must implement its own query to fill the map.

See Also:
  Serialized Form

Constructor Summary
`Customer_shippingAddress_SmartMapReference(java.lang.String attributeIdentifier, java.lang.Object container)` constructor

Method Summary
`static void` | `doCreate(java.sql.Connection connection, java.lang.Object key)`
`static void` | `doDelete(java.sql.Connection connection, java.lang.Object key)`
`java.util.Map` | `doQuery(java.lang.String attributeIdentifier, java.lang.Object container)` Perform the database query to fill this map.
`static void` | `doUpdate(java.sql.Connection connection, java.lang.Object key, java.lang.Object containedInstance, java.lang.String mapKey, java.lang.Object container)`
`static void` | `refresh(java.lang.String attributeIdentifier, java.lang.Object container)` Refreshes the SmartMapReference of shippingAddresses associated with this Customer with the values from the database.
`static void` | `update(java.sql.Connection connection, java.lang.Object key, java.lang.Object container)`

Methods inherited from class com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference
`cursor, deletedObjects, doSmartUpdate, getMap, newObjects, setMap, updatedObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Customer_shippingAddress_SmartMapReference

    public Customer_shippingAddress_SmartMapReference(java.lang.String attributeIdentifier,
                                                      java.lang.Object container)

  constructor

  Parameters:
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `entityImpl` - the entity that contains this map.

Method Detail

### doQuery

    public java.util.Map doQuery(java.lang.String attributeIdentifier,
                                 java.lang.Object container)
                          throws BMPException

  Perform the database query to fill this map.

  Overrides:
    doQuery in class com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference

### refresh

    public static void refresh(java.lang.String attributeIdentifier,
                               java.lang.Object container)
                        throws BMPException

  Refreshes the SmartMapReference of shippingAddresses associated with this Customer with the values from the database.

  Parameters:
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `container` - the Customer that owns these shippingAddresses

### update

    public static void update(java.sql.Connection connection,
                              java.lang.Object key,
                              java.lang.Object container)
                       throws BMPException

### doCreate

    public static void doCreate(java.sql.Connection connection,
                                java.lang.Object key)
                         throws BMPException

### doDelete

    public static void doDelete(java.sql.Connection connection,
                                java.lang.Object key)
                         throws BMPException

### doUpdate

    public static void doUpdate(java.sql.Connection connection,
                                java.lang.Object key,
                                java.lang.Object containedInstance,
                                java.lang.String mapKey,
                                java.lang.Object container)
                         throws BMPException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved